---
title: Get a DLS region
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Data Localization Suite](https://developers.cloudflare.com/api/go/resources/dls)

[Regions](https://developers.cloudflare.com/api/go/resources/dls/subresources/regions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a DLS region

client.DLS.Regions.Get(ctx, regionID, query) (\*[RegionGetResponse](<https://developers.cloudflare.com/api/go/resources/dls#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/dls/regions/{region\_id}

Get a DLS region

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

regionID string

UUID of the region (custom or managed) or region\_key of a managed region.

maxLength255

[Link to this property](<#(resource)%20dls.regions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20region_id%20%3E%20(schema)>)

<details>

<summary>

query RegionGetParams

</summary>

AccountID param.Field\[string]

Identifier of a Cloudflare account.

maxLength32

minLength32

<a href="#(resource)%20dls.regions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dls.regions%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RegionGetResponse struct{…}

</summary>

ID string

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedOn Time

formatdate-time

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

ModifiedOn Time

formatdate-time

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Name string

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

RegionKey string

maxLength128

minLength1

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20region_key">Link to this property</a>

Version int64

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20version">Link to this property</a>

VersionCreatedOn Time

formatdate-time

<a href="#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)%20%3E%20(property)%20version_created_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dls.regions%20%3E%20(model)%20RegionGetResponse%20%3E%20(schema)>)

### Get a DLS region

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/dls"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  region, err := client.DLS.Regions.Get(
    context.TODO(),
    "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    dls.RegionGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", region.ID)
}
```

200 example

```
{
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "created_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "region_key": "x",
    "version": 0,
    "version_created_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "created_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "region_key": "x",
    "version": 0,
    "version_created_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```